"""
Conversion pack for Carnyx Module Tiericide
"""

CONVERSIONS = {
    # Renamed items
    "1MN Microwarpdrive I": "5MN Microwarpdrive I",
    "1MN Microwarpdrive II": "5MN Microwarpdrive II",
    "Prototype 100MN Microwarpdrive I": "500MN Cold-Gas Enduring Microwarpdrive",
    "Experimental 100MN Afterburner I": "100MN Monopropellant Enduring Afterburner",
    "Upgraded 1MN Microwarpdrive I": "5MN Cold-Gas Enduring Microwarpdrive",
    "Limited 1MN Microwarpdrive I": "5MN Y-T8 Compact Microwarpdrive",
    "Experimental 10MN Microwarpdrive I": "50MN Cold-Gas Enduring Microwarpdrive",
    "Limited 1MN Afterburner I": "1MN Y-S8 Compact Afterburner",
    "Experimental 1MN Afterburner I": "1MN Monopropellant Enduring Afterburner",
    "Experimental 10MN Afterburner I": "10MN Monopropellant Enduring Afterburner",
    "Large Azeotropic Ward Salubrity I": "Large Azeotropic Restrained Shield Extender",
    "Small Azeotropic Ward Salubrity I": "Small Azeotropic Restrained Shield Extender",
    "Medium Azeotropic Ward Salubrity I": "Medium Azeotropic Restrained Shield Extender",
    "Medium F-S9 Regolith Shield Induction": "Medium F-S9 Regolith Compact Shield Extender",
    "Small F-S9 Regolith Shield Induction": "Small F-S9 Regolith Compact Shield Extender",
    "Large F-S9 Regolith Shield Induction": "Large F-S9 Regolith Compact Shield Extender",
    "1600mm Reinforced Steel Plates I": "1600mm Steel Plates I",
    "100mm Reinforced Steel Plates I": "100mm Steel Plates I",
    "200mm Reinforced Steel Plates I": "200mm Steel Plates I",
    "400mm Reinforced Steel Plates I": "400mm Steel Plates I",
    "800mm Reinforced Steel Plates I": "800mm Steel Plates I",
    "400mm Reinforced Rolled Tungsten Plates I": "400mm Rolled Tungsten Compact Plates",
    "400mm Reinforced Crystalline Carbonide Plates I": "400mm Crystalline Carbonide Restrained Plates",
    "800mm Reinforced Rolled Tungsten Plates I": "800mm Rolled Tungsten Compact Plates",
    "800mm Reinforced Crystalline Carbonide Plates I": "800mm Crystalline Carbonide Restrained Plates",
    "1600mm Reinforced Rolled Tungsten Plates I": "1600mm Rolled Tungsten Compact Plates",
    "1600mm Reinforced Crystalline Carbonide Plates I": "1600mm Crystalline Carbonide Restrained Plates",
    "100mm Reinforced Rolled Tungsten Plates I": "100mm Rolled Tungsten Compact Plates",
    "100mm Reinforced Crystalline Carbonide Plates I": "100mm Crystalline Carbonide Restrained Plates",
    "200mm Reinforced Rolled Tungsten Plates I": "200mm Rolled Tungsten Compact Plates",
    "200mm Reinforced Crystalline Carbonide Plates I": "200mm Crystalline Carbonide Restrained Plates",
    "10MN Microwarpdrive I": "50MN Microwarpdrive I",
    "100MN Microwarpdrive I": "500MN Microwarpdrive I",
    "10MN Microwarpdrive II": "50MN Microwarpdrive II",
    "100MN Microwarpdrive II": "500MN Microwarpdrive II",
    "Domination 100MN Microwarpdrive": "Domination 500MN Microwarpdrive",
    "Shadow Serpentis 100MN Microwarpdrive": "Shadow Serpentis 500MN Microwarpdrive",
    "Domination 10MN Microwarpdrive": "Domination 50MN Microwarpdrive",
    "Shadow Serpentis 10MN Microwarpdrive": "Shadow Serpentis 50MN Microwarpdrive",
    "Domination 1MN Microwarpdrive": "Domination 5MN Microwarpdrive",
    "Shadow Serpentis 1MN Microwarpdrive": "Shadow Serpentis 5MN Microwarpdrive",
    "Mizuro's Modified 100MN Microwarpdrive": "Mizuro's Modified 500MN Microwarpdrive",
    "Hakim's Modified 100MN Microwarpdrive": "Hakim's Modified 500MN Microwarpdrive",
    "Gotan's Modified 100MN Microwarpdrive": "Gotan's Modified 500MN Microwarpdrive",
    "Tobias' Modified 100MN Microwarpdrive": "Tobias' Modified 500MN Microwarpdrive",
    "Brynn's Modified 100MN Microwarpdrive": "Brynn's Modified 500MN Microwarpdrive",
    "Tuvan's Modified 100MN Microwarpdrive": "Tuvan's Modified 500MN Microwarpdrive",
    "Setele's Modified 100MN Microwarpdrive": "Setele's Modified 500MN Microwarpdrive",
    "Cormack's Modified 100MN Microwarpdrive": "Cormack's Modified 500MN Microwarpdrive",
    "Republic Fleet 1MN Microwarpdrive": "Republic Fleet 5MN Microwarpdrive",
    "Republic Fleet 10MN Microwarpdrive": "Republic Fleet 50MN Microwarpdrive",
    "Republic Fleet 100MN Microwarpdrive": "Republic Fleet 500MN Microwarpdrive",
    "Federation Navy 1MN Microwarpdrive": "Federation Navy 5MN Microwarpdrive",
    "Federation Navy 10MN Microwarpdrive": "Federation Navy 50MN Microwarpdrive",
    "Federation Navy 100MN Microwarpdrive": "Federation Navy 500MN Microwarpdrive",
    "Coreli C-Type 1MN Microwarpdrive": "Coreli C-Type 5MN Microwarpdrive",
    "Corelum C-Type 10MN Microwarpdrive": "Corelum C-Type 50MN Microwarpdrive",
    "Core C-Type 100MN Microwarpdrive": "Core C-Type 500MN Microwarpdrive",
    "Coreli B-Type 1MN Microwarpdrive": "Coreli B-Type 5MN Microwarpdrive",
    "Corelum B-Type 10MN Microwarpdrive": "Corelum B-Type 50MN Microwarpdrive",
    "Core B-Type 100MN Microwarpdrive": "Core B-Type 500MN Microwarpdrive",
    "Coreli A-Type 1MN Microwarpdrive": "Coreli A-Type 5MN Microwarpdrive",
    "Corelum A-Type 10MN Microwarpdrive": "Corelum A-Type 50MN Microwarpdrive",
    "Core A-Type 100MN Microwarpdrive": "Core A-Type 500MN Microwarpdrive",
    "Core X-Type 100MN Microwarpdrive": "Core X-Type 500MN Microwarpdrive",
    "Gistii C-Type 1MN Microwarpdrive": "Gistii C-Type 5MN Microwarpdrive",
    "Gistum C-Type 10MN Microwarpdrive": "Gistum C-Type 50MN Microwarpdrive",
    "Gist C-Type 100MN Microwarpdrive": "Gist C-Type 500MN Microwarpdrive",
    "Gistii B-Type 1MN Microwarpdrive": "Gistii B-Type 5MN Microwarpdrive",
    "Gistum B-Type 10MN Microwarpdrive": "Gistum B-Type 50MN Microwarpdrive",
    "Gist B-Type 100MN Microwarpdrive": "Gist B-Type 500MN Microwarpdrive",
    "Gistii A-Type 1MN Microwarpdrive": "Gistii A-Type 5MN Microwarpdrive",
    "Gistum A-Type 10MN Microwarpdrive": "Gistum A-Type 50MN Microwarpdrive",
    "Gist A-Type 100MN Microwarpdrive": "Gist A-Type 500MN Microwarpdrive",
    "Gist X-Type 100MN Microwarpdrive": "Gist X-Type 500MN Microwarpdrive",
    "100mm Reinforced Steel Plates II": "100mm Steel Plates II",
    "200mm Reinforced Steel Plates II": "200mm Steel Plates II",
    "400mm Reinforced Steel Plates II": "400mm Steel Plates II",
    "800mm Reinforced Steel Plates II": "800mm Steel Plates II",
    "1600mm Reinforced Steel Plates II": "1600mm Steel Plates II",
    "Micro 'Trapper' Shield Extender": "Small 'Trapper' Shield Extender",
    "1MN Analog Booster Rockets": "1MN Analog Booster Afterburner",
    "10MN Analog Booster Rockets": "10MN Analog Booster Afterburner",
    "100MN Analog Booster Rockets": "100MN Analog Booster Afterburner",
    "1MN Digital Booster Rockets": "5MN Digital Booster Microwarpdrive",
    "10MN Digital Booster Rockets": "50MN Digital Booster Microwarpdrive",
    "100MN Digital Booster Rockets": "500MN Digital Booster Microwarpdrive",
    "Civilian Afterburner": "1MN Civilian Afterburner",
    "'Abatis' 100mm Reinforced Steel Plates I": "'Abatis' 100mm Steel Plates",
    "'Bailey' 1600mm Reinforced Steel Plates I": "'Bailey' 1600mm Steel Plates",
    "'Chainmail' 200mm Reinforced Steel Plates I": "'Chainmail' 200mm Steel Plates",
    "'Bastion' 400mm Reinforced Steel Plates I": "'Bastion' 400mm Steel Plates",
    "'Citadella' 50mm Reinforced Steel Plates I": "'Citadella' 100mm Steel Plates",
    "'Barbican' 800mm Reinforced Steel Plates I": "'Barbican' 800mm Steel Plates",
    "Syndicate 100mm Reinforced Steel Plates": "Syndicate 100mm Steel Plates",
    "Syndicate 1600mm Reinforced Steel Plates": "Syndicate 1600mm Steel Plates",
    "Syndicate 200mm Reinforced Steel Plates": "Syndicate 200mm Steel Plates",
    "Syndicate 400mm Reinforced Steel Plates": "Syndicate 400mm Steel Plates",
    "Syndicate 800mm Reinforced Steel Plates": "Syndicate 800mm Steel Plates",
    "Imperial Navy 100mm Reinforced Steel Plates": "Imperial Navy 100mm Steel Plates",
    "Federation Navy 100mm Reinforced Steel Plates": "Federation Navy 100mm Steel Plates",
    "Imperial Navy 1600mm Reinforced Steel Plates": "Imperial Navy 1600mm Steel Plates",
    "Federation Navy 1600mm Reinforced Steel Plates": "Federation Navy 1600mm Steel Plates",
    "Imperial Navy 200mm Reinforced Steel Plates": "Imperial Navy 200mm Steel Plates",
    "Federation Navy 200mm Reinforced Steel Plates": "Federation Navy 200mm Steel Plates",
    "Imperial Navy 400mm Reinforced Steel Plates": "Imperial Navy 400mm Steel Plates",
    "Federation Navy 400mm Reinforced Steel Plates": "Federation Navy 400mm Steel Plates",
    "Imperial Navy 800mm Reinforced Steel Plates": "Imperial Navy 800mm Steel Plates",
    "Federation Navy 800mm Reinforced Steel Plates": "Federation Navy 800mm Steel Plates",
    "Polarized Small Pulse Laser": "Polarized Small Focused Pulse Laser",
    # Converted items
    "Large Subordinate Screen Stabilizer I": "Large F-S9 Regolith Compact Shield Extender",
    "Large Supplemental Barrier Emitter I": "Large Azeotropic Restrained Shield Extender",
    "Medium Subordinate Screen Stabilizer I": "Medium F-S9 Regolith Compact Shield Extender",
    "Medium Supplemental Barrier Emitter I": "Medium Azeotropic Restrained Shield Extender",
    "Micro Azeotropic Ward Salubrity I": "Small 'Trapper' Shield Extender",
    "Micro F-S9 Regolith Shield Induction": "Small 'Trapper' Shield Extender",
    "Micro Shield Extender I": "Small 'Trapper' Shield Extender",
    "Micro Shield Extender II": "Small 'Trapper' Shield Extender",
    "Micro Subordinate Screen Stabilizer I": "Small 'Trapper' Shield Extender",
    "Micro Supplemental Barrier Emitter I": "Small 'Trapper' Shield Extender",
    "Small Subordinate Screen Stabilizer I": "Small F-S9 Regolith Compact Shield Extender",
    "Small Supplemental Barrier Emitter I": "Small Azeotropic Restrained Shield Extender",
    "100mm Reinforced Nanofiber Plates I": "100mm Crystalline Carbonide Restrained Plates",
    "100mm Reinforced Titanium Plates I": "100mm Rolled Tungsten Compact Plates",
    "1600mm Reinforced Nanofiber Plates I": "1600mm Crystalline Carbonide Restrained Plates",
    "1600mm Reinforced Titanium Plates I": "1600mm Rolled Tungsten Compact Plates",
    "200mm Reinforced Nanofiber Plates I": "200mm Crystalline Carbonide Restrained Plates",
    "200mm Reinforced Titanium Plates I": "200mm Rolled Tungsten Compact Plates",
    "400mm Reinforced Nanofiber Plates I": "400mm Crystalline Carbonide Restrained Plates",
    "400mm Reinforced Titanium Plates I": "400mm Rolled Tungsten Compact Plates",
    "50mm Reinforced Crystalline Carbonide Plates I": "'Citadella' 100mm Steel Plates",
    "50mm Reinforced Nanofiber Plates I": "'Citadella' 100mm Steel Plates",
    "50mm Reinforced Rolled Tungsten Plates I": "'Citadella' 100mm Steel Plates",
    "50mm Reinforced Steel Plates I": "'Citadella' 100mm Steel Plates",
    "50mm Reinforced Steel Plates II": "'Citadella' 100mm Steel Plates",
    "50mm Reinforced Titanium Plates I": "'Citadella' 100mm Steel Plates",
    "800mm Reinforced Nanofiber Plates I": "800mm Crystalline Carbonide Restrained Plates",
    "800mm Reinforced Titanium Plates I": "800mm Rolled Tungsten Compact Plates"
}
