"""
Conversion pack for Parallax renames
"""

CONVERSIONS = {
    # Renamed items
    "Basic Thermic Plating": "Basic Thermal Plating",
    "Thermic Plating I": "Thermal Plating I",
    "Thermic Plating II": "Thermal Plating II",
    "Basic Thermic Dissipation Amplifier": "Basic Thermal Dissipation Amplifier",
    "Thermic Dissipation Field I": "Thermal Dissipation Field I",
    "Thermic Dissipation Field II": "Thermal Dissipation Field II",
    "Thermic Dissipation Amplifier I": "Thermal Dissipation Amplifier I",
    "Thermic Dissipation Amplifier II": "Thermal Dissipation Amplifier II",
    "Supplemental Thermic Dissipation Amplifier": "Supplemental Thermal Dissipation Amplifier",
    "Upgraded Thermic Dissipation Amplifier I": "Upgraded Thermal Dissipation Amplifier I",
    "Limited Thermic Dissipation Field I": "Limited Thermal Dissipation Field I",
    "Basic Energized Thermic Membrane": "Basic Energized Thermal Membrane",
    "Energized Thermic Membrane I": "Energized Thermal Membrane I",
    "Energized Thermic Membrane II": "Energized Thermal Membrane II",
    "Armor Thermic Hardener I": "Armor Thermal Hardener I",
    "Thermic Shield Compensation": "Thermal Shield Compensation",
    "Armor Thermic Hardener II": "Armor Thermal Hardener II",
    "Dread Guristas Thermic Dissipation Field": "Dread Guristas Thermal Dissipation Field",
    "True Sansha Armor Thermic Hardener": "True Sansha Armor Thermal Hardener",
    "Dark Blood Armor Thermic Hardener": "Dark Blood Armor Thermal Hardener",
    "Domination Armor Thermic Hardener": "Domination Armor Thermal Hardener",
    "Domination Thermic Dissipation Field": "Domination Thermal Dissipation Field",
    "Domination Thermic Plating": "Domination Thermal Plating",
    "True Sansha Thermic Plating": "True Sansha Thermal Plating",
    "Dark Blood Thermic Plating": "Dark Blood Thermal Plating",
    "Domination Thermic Dissipation Amplifier": "Domination Thermal Dissipation Amplifier",
    "Dread Guristas Thermic Dissipation Amplifier": "Dread Guristas Thermal Dissipation Amplifier",
    "Shadow Serpentis Thermic Plating": "Shadow Serpentis Thermal Plating",
    "Shadow Serpentis Armor Thermic Hardener": "Shadow Serpentis Armor Thermal Hardener",
    "Dark Blood Energized Thermic Membrane": "Dark Blood Energized Thermal Membrane",
    "True Sansha Energized Thermic Membrane": "True Sansha Energized Thermal Membrane",
    "Shadow Serpentis Energized Thermic Membrane": "Shadow Serpentis Energized Thermal Membrane",
    "Mizuro's Modified Thermic Plating": "Mizuro's Modified Thermal Plating",
    "Gotan's Modified Thermic Plating": "Gotan's Modified Thermal Plating",
    "Hakim's Modified Thermic Dissipation Amplifier": "Hakim's Modified Thermal Dissipation Amplifier",
    "Tobias' Modified Thermic Dissipation Amplifier": "Tobias' Modified Thermal Dissipation Amplifier",
    "Kaikka's Modified Thermic Dissipation Amplifier": "Kaikka's Modified Thermal Dissipation Amplifier",
    "Thon's Modified Thermic Dissipation Amplifier": "Thon's Modified Thermal Dissipation Amplifier",
    "Vepas' Modified Thermic Dissipation Amplifier": "Vepas' Modified Thermal Dissipation Amplifier",
    "Estamel's Modified Thermic Dissipation Amplifier": "Estamel's Modified Thermal Dissipation Amplifier",
    "Kaikka's Modified Thermic Dissipation Field": "Kaikka's Modified Thermal Dissipation Field",
    "Thon's Modified Thermic Dissipation Field": "Thon's Modified Thermal Dissipation Field",
    "Vepas's Modified Thermic Dissipation Field": "Vepas's Modified Thermal Dissipation Field",
    "Estamel's Modified Thermic Dissipation Field": "Estamel's Modified Thermal Dissipation Field",
    "Brokara's Modified Thermic Plating": "Brokara's Modified Thermal Plating",
    "Tairei's Modified Thermic Plating": "Tairei's Modified Thermal Plating",
    "Selynne's Modified Thermic Plating": "Selynne's Modified Thermal Plating",
    "Raysere's Modified Thermic Plating": "Raysere's Modified Thermal Plating",
    "Vizan's Modified Thermic Plating": "Vizan's Modified Thermal Plating",
    "Ahremen's Modified Thermic Plating": "Ahremen's Modified Thermal Plating",
    "Chelm's Modified Thermic Plating": "Chelm's Modified Thermal Plating",
    "Draclira's Modified Thermic Plating": "Draclira's Modified Thermal Plating",
    "Brokara's Modified Energized Thermic Membrane": "Brokara's Modified Energized Thermal Membrane",
    "Tairei's Modified Energized Thermic Membrane": "Tairei's Modified Energized Thermal Membrane",
    "Selynne's Modified Energized Thermic Membrane": "Selynne's Modified Energized Thermal Membrane",
    "Raysere's Modified Energized Thermic Membrane": "Raysere's Modified Energized Thermal Membrane",
    "Vizan's Modified Energized Thermic Membrane": "Vizan's Modified Energized Thermal Membrane",
    "Ahremen's Modified Energized Thermic Membrane": "Ahremen's Modified Energized Thermal Membrane",
    "Chelm's Modified Energized Thermic Membrane": "Chelm's Modified Energized Thermal Membrane",
    "Draclira's Modified Energized Thermic Membrane": "Draclira's Modified Energized Thermal Membrane",
    "Brokara's Modified Armor Thermic Hardener": "Brokara's Modified Armor Thermal Hardener",
    "Tairei's Modified Armor Thermic Hardener": "Tairei's Modified Armor Thermal Hardener",
    "Selynne's Modified Armor Thermic Hardener": "Selynne's Modified Armor Thermal Hardener",
    "Raysere's Modified Armor Thermic Hardener": "Raysere's Modified Armor Thermal Hardener",
    "Vizan's Modified Armor Thermic Hardener": "Vizan's Modified Armor Thermal Hardener",
    "Ahremen's Modified Armor Thermic Hardener": "Ahremen's Modified Armor Thermal Hardener",
    "Chelm's Modified Armor Thermic Hardener": "Chelm's Modified Armor Thermal Hardener",
    "Draclira's Modified Armor Thermic Hardener": "Draclira's Modified Armor Thermal Hardener",
    "Brynn's Modified Thermic Plating": "Brynn's Modified Thermal Plating",
    "Tuvan's Modified Thermic Plating": "Tuvan's Modified Thermal Plating",
    "Setele's Modified Thermic Plating": "Setele's Modified Thermal Plating",
    "Cormack's Modified Thermic Plating": "Cormack's Modified Thermal Plating",
    "Brynn's Modified Energized Thermic Membrane": "Brynn's Modified Energized Thermal Membrane",
    "Tuvan's Modified Energized Thermic Membrane": "Tuvan's Modified Energized Thermal Membrane",
    "Setele's Modified Energized Thermic Membrane": "Setele's Modified Energized Thermal Membrane",
    "Cormack's Modified Energized Thermic Membrane": "Cormack's Modified Energized Thermal Membrane",
    "Brynn's Modified Armor Thermic Hardener": "Brynn's Modified Armor Thermal Hardener",
    "Tuvan's Modified Armor Thermic Hardener": "Tuvan's Modified Armor Thermal Hardener",
    "Setele's Modified Armor Thermic Hardener": "Setele's Modified Armor Thermal Hardener",
    "Cormack's Modified Armor Thermic Hardener": "Cormack's Modified Armor Thermal Hardener",
    "Shaqil's Modified Energized Thermic Membrane": "Shaqil's Modified Energized Thermal Membrane",
    "Imperial Navy Thermic Plating": "Imperial Navy Thermal Plating",
    "Republic Fleet Thermic Plating": "Republic Fleet Thermal Plating",
    "Imperial Navy Armor Thermic Hardener": "Imperial Navy Armor Thermal Hardener",
    "Republic Fleet Armor Thermic Hardener": "Republic Fleet Armor Thermal Hardener",
    "Imperial Navy Energized Thermic Membrane": "Imperial Navy Energized Thermal Membrane",
    "Federation Navy Energized Thermic Membrane": "Federation Navy Energized Thermal Membrane",
    "Caldari Navy Thermic Dissipation Amplifier": "Caldari Navy Thermal Dissipation Amplifier",
    "Republic Fleet Thermic Dissipation Amplifier": "Republic Fleet Thermal Dissipation Amplifier",
    "Upgraded Thermic Plating I": "Upgraded Thermal Plating I",
    "Limited Thermic Plating I": "Limited Thermal Plating I",
    "Experimental Thermic Plating I": "Experimental Thermal Plating I",
    "Prototype Thermic Plating I": "Prototype Thermal Plating I",
    "Upgraded Armor Thermic Hardener I": "Upgraded Armor Thermal Hardener I",
    "Limited Armor Thermic Hardener I": "Limited Armor Thermal Hardener I",
    "Experimental Armor Thermic Hardener I": "Experimental Armor Thermal Hardener I",
    "Prototype Armor Thermic Hardener I": "Prototype Armor Thermal Hardener I",
    "Upgraded Energized Thermic Membrane I": "Upgraded Energized Thermal Membrane I",
    "Limited Energized Thermic Membrane I": "Limited Energized Thermal Membrane I",
    "Experimental Energized Thermic Membrane I": "Experimental Energized Thermal Membrane I",
    "Prototype Energized Thermic Membrane I": "Prototype Energized Thermal Membrane I",
    "Caldari Navy Thermic Dissipation Field": "Caldari Navy Thermal Dissipation Field",
    "Ammatar Navy Armor Thermic Hardener": "Ammatar Navy Armor Thermal Hardener",
    "Ammatar Navy Energized Thermic Membrane": "Ammatar Navy Energized Thermal Membrane",
    "Federation Navy Thermic Plating": "Federation Navy Thermal Plating",
    "Federation Navy Armor Thermic Hardener": "Federation Navy Armor Thermal Hardener",
    "Corpii C-Type Thermic Plating": "Corpii C-Type Thermal Plating",
    "Centii C-Type Thermic Plating": "Centii C-Type Thermal Plating",
    "Corpii B-Type Thermic Plating": "Corpii B-Type Thermal Plating",
    "Centii B-Type Thermic Plating": "Centii B-Type Thermal Plating",
    "Corpii A-Type Thermic Plating": "Corpii A-Type Thermal Plating",
    "Centii A-Type Thermic Plating": "Centii A-Type Thermal Plating",
    "Coreli C-Type Thermic Plating": "Coreli C-Type Thermal Plating",
    "Coreli B-Type Thermic Plating": "Coreli B-Type Thermal Plating",
    "Coreli A-Type Thermic Plating": "Coreli A-Type Thermal Plating",
    "Corelum C-Type Energized Thermic Membrane": "Corelum C-Type Energized Thermal Membrane",
    "Corelum B-Type Energized Thermic Membrane": "Corelum B-Type Energized Thermal Membrane",
    "Corelum A-Type Energized Thermic Membrane": "Corelum A-Type Energized Thermal Membrane",
    "Corpum C-Type Energized Thermic Membrane": "Corpum C-Type Energized Thermal Membrane",
    "Centum C-Type Energized Thermic Membrane": "Centum C-Type Energized Thermal Membrane",
    "Corpum B-Type Energized Thermic Membrane": "Corpum B-Type Energized Thermal Membrane",
    "Centum B-Type Energized Thermic Membrane": "Centum B-Type Energized Thermal Membrane",
    "Corpum A-Type Energized Thermic Membrane": "Corpum A-Type Energized Thermal Membrane",
    "Centum A-Type Energized Thermic Membrane": "Centum A-Type Energized Thermal Membrane",
    "Corpus C-Type Armor Thermic Hardener": "Corpus C-Type Armor Thermal Hardener",
    "Centus C-Type Armor Thermic Hardener": "Centus C-Type Armor Thermal Hardener",
    "Corpus B-Type Armor Thermic Hardener": "Corpus B-Type Armor Thermal Hardener",
    "Centus B-Type Armor Thermic Hardener": "Centus B-Type Armor Thermal Hardener",
    "Corpus A-Type Armor Thermic Hardener": "Corpus A-Type Armor Thermal Hardener",
    "Centus A-Type Armor Thermic Hardener": "Centus A-Type Armor Thermal Hardener",
    "Corpus X-Type Armor Thermic Hardener": "Corpus X-Type Armor Thermal Hardener",
    "Centus X-Type Armor Thermic Hardener": "Centus X-Type Armor Thermal Hardener",
    "Core C-Type Armor Thermic Hardener": "Core C-Type Armor Thermal Hardener",
    "Core B-Type Armor Thermic Hardener": "Core B-Type Armor Thermal Hardener",
    "Core A-Type Armor Thermic Hardener": "Core A-Type Armor Thermal Hardener",
    "Core X-Type Armor Thermic Hardener": "Core X-Type Armor Thermal Hardener",
    "Pithum C-Type Thermic Dissipation Amplifier": "Pithum C-Type Thermal Dissipation Amplifier",
    "Pithum B-Type Thermic Dissipation Amplifier": "Pithum B-Type Thermal Dissipation Amplifier",
    "Pithum A-Type Thermic Dissipation Amplifier": "Pithum A-Type Thermal Dissipation Amplifier",
    "Gistum C-Type Thermic Dissipation Amplifier": "Gistum C-Type Thermal Dissipation Amplifier",
    "Gistum B-Type Thermic Dissipation Amplifier": "Gistum B-Type Thermal Dissipation Amplifier",
    "Gistum A-Type Thermic Dissipation Amplifier": "Gistum A-Type Thermal Dissipation Amplifier",
    "Gist C-Type Thermic Dissipation Field": "Gist C-Type Thermal Dissipation Field",
    "Pith C-Type Thermic Dissipation Field": "Pith C-Type Thermal Dissipation Field",
    "Gist B-Type Thermic Dissipation Field": "Gist B-Type Thermal Dissipation Field",
    "Pith B-Type Thermic Dissipation Field": "Pith B-Type Thermal Dissipation Field",
    "Gist A-Type Thermic Dissipation Field": "Gist A-Type Thermal Dissipation Field",
    "Pith A-Type Thermic Dissipation Field": "Pith A-Type Thermal Dissipation Field",
    "Gist X-Type Thermic Dissipation Field": "Gist X-Type Thermal Dissipation Field",
    "Pith X-Type Thermic Dissipation Field": "Pith X-Type Thermal Dissipation Field",
    "'High Noon' Thermic Dissipation Amplifier": "'High Noon' Thermal Dissipation Amplifier",
    "'Desert Heat' Thermic Dissipation Field": "'Desert Heat' Thermal Dissipation Field",
    "Thermic Armor Compensation": "Thermal Armor Compensation",
    "'Moonshine' Energized Thermic Membrane I": "'Moonshine' Energized Thermal Membrane I",
    "Large Anti-Thermic Pump I": "Large Anti-Thermal Pump I",
    "Large Anti-Thermic Pump II": "Large Anti-Thermal Pump II",
    "Khanid Navy Armor Thermic Hardener": "Khanid Navy Armor Thermal Hardener",
    "Khanid Navy Energized Thermic Membrane": "Khanid Navy Energized Thermal Membrane",
    "Khanid Navy Thermic Plating": "Khanid Navy Thermal Plating",
    "Civilian Thermic Dissipation Field": "Civilian Thermal Dissipation Field",
    "Small Anti-Thermic Pump I": "Small Anti-Thermal Pump I",
    "Medium Anti-Thermic Pump I": "Medium Anti-Thermal Pump I",
    "Capital Anti-Thermic Pump I": "Capital Anti-Thermal Pump I",
    "Small Anti-Thermic Pump II": "Small Anti-Thermal Pump II",
    "Medium Anti-Thermic Pump II": "Medium Anti-Thermal Pump II",
    "Capital Anti-Thermic Pump II": "Capital Anti-Thermal Pump II",
    "Ammatar Navy Thermic Plating": "Ammatar Navy Thermal Plating",
}
